/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.client.internal.mixins.ContributorAbsence");//$NON-NLS-1$

(function() { // module container


com.ibm.team.apt.web.client.internal.mixins.ContributorAbsence= {
	
	// ---- API ------------------------------------------------------------------------------------------------------------	

	getStartDate: function() {
		return this.startDate != null ? dojo.date.stamp.fromISOString(this.startDate) : null;
	},

	getEndDate: function() {
		return this.endDate != null ? dojo.date.stamp.fromISOString(this.endDate) : null;
	},

	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
};

})();