/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
(function() {
dojo.provide("com.ibm.team.process.web.ui.internal.admin.projects.UIHelper");


com.ibm.team.process.web.ui.internal.admin.projects.UIHelper = {

    /*
     * Determines the width of the longest string in the list of
     * strings passed to it. Can be used to determine the correct size for buttons.
     */
	findMaxStringDisplayWidth: function(stringList, testNode){
		if(!isNode(testNode)) {
			return -1;
		}
		var tester = document.createElement("div");
		tester.className = "com-ibm-team-process-ui-helper-off-canvas";
		testNode.appendChild(tester);
		var width = -1;
		dojo.forEach(stringList, function(sample){
			var sampleDiv = document.createElement("div");
			sampleDiv.className = "com-ibm-team-process-ui-helper-width-test";
			sampleDiv.innerHTML = sample;
			tester.appendChild(sampleDiv);
			width = sampleDiv.clientWidth > width ? sampleDiv.clientWidth : width;
			tester.removeChild(sampleDiv);
			sampleDiv = null;
		});
		testNode.removeChild(tester);
		return width;
	}
}

function isNode(o){
	return o && o.nodeType && o.cloneNode;
}			
})();