/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.workitem.web.ui.internal.view.layout.SeparatorWidget");

	dojo.require("dijit._Widget");
	dojo.require("dijit._Templated");

dojo.require("com.ibm.team.workitem.web.ui.internal.view.layout.WidgetUtil");

(function() {

var WidgetUtil = com.ibm.team.workitem.web.ui.internal.view.layout.WidgetUtil;

/* defineWidget */ dojo.declare(
	"com.ibm.team.workitem.web.ui.internal.view.layout.SeparatorWidget",
	[dijit._Widget, dijit._Templated],
	{

		templateString: '<div class="SeparatorWidget">' +
						'<span class="SeparatorText" dojoAttachPoint="_verbiage" style="color:#CCC"></span>' +
						'</div>',

		postCreate: function() {
			if(WidgetUtil.isDebugMode()) {
				if(this.isMissingWidget) {
					dojox.data.dom.replaceChildren(this._verbiage, document.createTextNode("-- missing widget " + this.widgetName + " --"));
				} else {
					dojox.data.dom.replaceChildren(this._verbiage, document.createTextNode("-- separator --"));
				}
//				this._verbiage.style.visibility="visible";
			} else {
				this._verbiage.innerHTML = "&nbsp;"; // innerHTML OK
//				this._verbiage.style.visibility="hidden";
			}
		}
	}
);

})();
